%global momorel 1

Name:           perl-Digest-SHA
Version:        5.47
Release:        %{momorel}m%{?dist}
Summary:        Perl extension for SHA-1/224/256/384/512
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Digest-SHA/
Source0:        http://www.cpan.org/authors/id/M/MS/MSHELOR/Digest-SHA-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Digest::SHA is written in C for speed. If your platform lacks a C compiler,
you can install the functionally equivalent (but much slower)
Digest::SHA::PurePerl module.

%prep
%setup -q -n Digest-SHA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README shasum
%{_bindir}/shasum
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Digest*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Fri May  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.47-1m)
- update to 5.47

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.46-1m)
- update to 5.46

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.45-2m)
- rebuild against gcc43

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.45-1m)
- update to 5.45

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (5.44-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (5.44-1m)
- update to 5.44

* Sun Oct 01 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (5.43-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
